Botan 1.10.17

Namespaces | Functions
x509self.cpp File Reference
`#include <botan/x509self.h>`
`#include <botan/x509_ext.h>`
`#include <botan/x509_ca.h>`
`#include <botan/der_enc.h>`
`#include <botan/oids.h>`
`#include <botan/pipe.h>`
`#include <memory>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::X509

## Functions
PKCS10_Request | Botan::X509::create_cert_req (const X509_Cert_Options &opts, const Private_Key &key, const std::string &hash_fn, RandomNumberGenerator &rng)
X509_Certificate | Botan::X509::create_self_signed_cert (const X509_Cert_Options &opts, const Private_Key &key, const std::string &hash_fn, RandomNumberGenerator &rng)